org.apache.cassandra.io.util

## Class SequentialWriter.BufferedFileWriterMark

- java.lang.Object
- - org.apache.cassandra.io.util.SequentialWriter.BufferedFileWriterMark

All Implemented Interfaces:
  DataPosition

Enclosing class:
  SequentialWriter

    protected static class SequentialWriter.BufferedFileWriterMark
    extends java.lang.Object
    implements DataPosition

Class to hold a mark to the position of the file

### Constructor Summary

Constructors
Constructor and Description
`BufferedFileWriterMark(long pointer)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferedFileWriterMark

    public BufferedFileWriterMark(long pointer)